### Method

# Ide EditorSearch move

#### Declaration

    void
    ide_editor_search_move (
      IdeEditorSearch* self,
      IdeEditorSearchDirection direction
    )

#### Description

This moves the insertion cursor in the buffer to the next match based upon `direction`.

If direction is `IDE_EDITOR_SEARCH_BACKWARD`, the search will stop at the beginning of the buffer.

If direction is `IDE_EDITOR_SEARCH_FORWARD`, the search will stop at the end of the buffer.

If direction is `IDE_EDITOR_SEARCH_NEXT`, it will automatically wrap around to the beginning of the buffer after reaching the end of the buffer.

If direction is `IDE_EDITOR_SEARCH_PREVIOUS`, the search will automatically wrap around to the end of the buffer once the beginning of the buffer has been reached.

Available since: | 3.32

#### Parameters

`direction` | `IdeEditorSearchDirection`
| An `IdeEditorSearchDirection`.